org.apache.calcite.avatica.util

## Class PositionedCursor.FieldGetter

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AbstractGetter
  - - org.apache.calcite.avatica.util.PositionedCursor.FieldGetter

All Implemented Interfaces:
  AbstractCursor.Getter

Enclosing class:
  PositionedCursor<T>

    protected class PositionedCursor.FieldGetter
    extends AbstractCursor.AbstractGetter

Implementation of `AbstractCursor.Getter` that reads fields via reflection.

### Field Summary

Fields
`protected Field` `field`

### Constructor Summary

Constructors
Constructor and Description
`FieldGetter(Field field)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getObject()`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AbstractGetter

`wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### field

    protected final Field field

### Constructor Detail

#### FieldGetter

    public FieldGetter(Field field)

### Method Detail

#### getObject

    public Object getObject()